com.holonplatform.vaadin.flow.components.events

## Interface GroupValueChangeEvent<V,P,C extends HasComponent,G extends BoundComponentGroup<P,C>>

- Type Parameters:
    `V` - Value type
    `P` - Property type
    `C` - Group element type
    `G` - Component group type
  All Superinterfaces:
    Serializable, ValueHolder.ValueChangeEvent<V>

      public interface GroupValueChangeEvent<V,P,C extends HasComponent,G extends BoundComponentGroup<P,C>>
      extends ValueHolder.ValueChangeEvent<V>

  A `ValueHolder.ValueChangeEvent` originated from a components group.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<C>` | `getComponent()` Get the group component source of the value change event, if available.
    `G` | `getInputGroup()` Get the input group from which this value change event was originated.
    `Optional<P>` | `getProperty()` Get the property which identifies the value change event source within the input group, if available.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValueHolder.ValueChangeEvent

      `create, getOldValue, getSource, getValue, isUserOriginated`

- - ### Method Detail

    - #### getInputGroup

          G getInputGroup()

      Get the input group from which this value change event was originated.
      Returns:
        the input group

    - #### getProperty

          Optional<P> getProperty()

      Get the property which identifies the value change event source within the input group, if available.

      If the value change event is not bound to any property, it represents a group value change event.

      Returns:
        Optional property which identifies the value change event source within the input group, or empty if represents a group value change event

    - #### getComponent

          Optional<C> getComponent()

      Get the group component source of the value change event, if available.

      If the value change event is not bound to any group component, it represents a group value change event.

      Returns:
        Optional group component source of the value change event, or empty if represents a group value change event

Copyright © 2019 The Holon Platform. All rights reserved.